gRPC C#
gRPC C#
Namespaces
Grpc.Core
ChannelOptions Class
ChannelOptions Fields

ChannelOptions Class

Defines names of supported channel options.
Inheritance Hierarchy
System
Object
Grpc.Core
ChannelOptions

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public static class ChannelOptions

    Public NotInheritable Class ChannelOptions

    public ref class ChannelOptions abstract sealed

    [<AbstractClassAttribute>]
    [<SealedAttribute>]
    type ChannelOptions =  class end

The ChannelOptions type exposes the following members.

Fields

| Name | Description
--- | --- | ---
| Census | Enable census for tracing and stats collection
| DefaultAuthority | Default authority for calls.
| Http2InitialSequenceNumber | Initial sequence number for http2 transports
| MaxConcurrentStreams | Maximum number of concurrent incoming streams to allow on a http2 connection
| MaxMessageLength | Maximum message length that the channel can receive
| PrimaryUserAgentString | Primary user agent: goes at the start of the user-agent metadata
| SecondaryUserAgentString | Secondary user agent: goes at the end of the user-agent metadata
| SslTargetNameOverride | Override SSL target check. Only to be used for testing.

Top
See Also

#### Reference

Grpc.Core Namespace